Package org.apache.sysds.runtime.functionobjects

## Class ReduceDiag

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.IndexFunction
    - - org.apache.sysds.runtime.functionobjects.ReduceDiag

All Implemented Interfaces:
  `Serializable`

    public class ReduceDiag
    extends IndexFunction

See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `computeDimension​(int row, int col, MatrixValue.CellIndex retDim)`
`boolean` `computeDimension​(DataCharacteristics in, DataCharacteristics out)`
`void` `execute​(MatrixIndexes in, MatrixIndexes out)`
`void` `execute​(MatrixValue.CellIndex in, MatrixValue.CellIndex out)`
`static ReduceDiag` `getReduceDiagFnObject()`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getReduceDiagFnObject

    public static ReduceDiag getReduceDiagFnObject()

#### execute

    public void execute​(MatrixIndexes in,
                        MatrixIndexes out)

Specified by:
  `execute` in class `IndexFunction`

#### execute

    public void execute​(MatrixValue.CellIndex in,
                        MatrixValue.CellIndex out)

Specified by:
  `execute` in class `IndexFunction`

#### computeDimension

    public boolean computeDimension​(int row,
                                    int col,
                                    MatrixValue.CellIndex retDim)

Specified by:
  `computeDimension` in class `IndexFunction`

#### computeDimension

    public boolean computeDimension​(DataCharacteristics in,
                                    DataCharacteristics out)

Specified by:
  `computeDimension` in class `IndexFunction`